<template>
  <div>
    <b>
      <a
        target="_blank"
        style="color:#2c3e50"
        class="elementor-button-link elementor-button elementor-size-sm"
        v-bind:href=url>
          <span class="elementor-button-content-wrapper">
            <span class="elementor-button-icon elementor-align-icon-left"> &#8594;</span>
            <span class="elementor-button-text">{{ name }}</span>
          </span>
      </a>
    </b>
  </div>
</template>

<script>
export default {
  name: 'ArrowEffect',
  props: {
    name: {
      type: String
    },
    url: {
      type: String
    }
  }
}
</script>

<style>
b {
  margin-left: 20px;
}
a {
  text-decoration: none;
  position: relative;
  padding: .5rem 0;
}

a::before {
  content: '';
  width: 0;
  height: 1px;
  position: absolute;
  bottom: 0;
  left: 0;
  transition: width .2s ease;
}

.elementor-button-icon {
  position: absolute;
  transform: translateX(-14px);
  opacity: 0;
  transition: all .2s ease;
}

.elementor-button-text {
  display: inline-block;
  transition: padding-left .2s ease;
}

a:hover .elementor-button-text {
  padding-left: 24px;
}

a:hover::before {
  width: 100%;
}

a:hover .elementor-button-icon {
  transform: translateX(0);
  opacity: 1;
}
</style>
